[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dpkg-shlibdeps is too strict

On Thursday 26 November 1998, at 14 h 51, the keyboard of Matthias Klose 
<doko@cs.tu-berlin.de> wrote:

> I think you have some binaries linked to libraries which have the
> libc6 (>= 2.0.7u-6) dependency itself in it's shlibs file.

No, I tried on a simple program, which just depends on:

        libnsl.so.1 => /lib/libnsl.so.1 (0x40010000)
        libc.so.6 => /lib/libc.so.6 (0x40016000)
        /lib/ld-linux.so.2 => /lib/ld-linux.so.2 (0x40000000)

> You could look at /var/lib/dpkg/info/*.shlibs for these libraries.

Actually, it is /var/lib/dpkg/info/libc6.shlibs which provide the unwanted constraint:

libc            6       libc6 (>= 2.0.7u-6)

According to grep, no other source could be responsible.

Reply to: